#-----------------------------------------------------------------------------
%global		dist	.ok
#-----------------------------------------------------------------------------
Name		:	ucsd-psystem-vm
Version		:	0.50.10
Release		:	17.2.0.rel%{?dist}
Summary		:	UCSD p-System virtual machine

Packager	:	Osukiss Project <build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/jmrcpn/ucsd-psystem-vm/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	meson
BuildRequires	:	libexplain-devel
BuildRequires	:	xterm

BuildRequires	:	ucsd-psystem-fs
BuildRequires	:	ucsd-psystem-os
BuildRequires	:	ucsd-psystem-xc

#-----------------------------------------------------------------------------
%description
The ucsd-psystem-vm package is a virtual machine
(p-code interpreter) for the UCSD p-System.

The ucsd-psystem-vm package makes it possible
to run UCSD Pascal (an ancient programming
environment) on today's Linux machines, and also
*BSD.  The p-code runs very much faster on
modern hardware.

This is still experimental code.  If you are
in trouble, "Use the source, Luke!"

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%{_bindir}/ucsdpsys_vm
%{_bindir}/ucsdpsys_xturtleserver
%{_mandir}/man1/ucsdpsys_vm.1.gz
%{_mandir}/man1/ucsdpsys_vm_license.1.gz
%{_mandir}/man1/ucsdpsys_xturtleserver.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
        --bindir=%{_bindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	_bld

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson	test						\
		-C _bld					\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#-----------------------------------------------------------------------------
%changelog
